- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# tcp_seg Struct Reference

`#include <tcp.h>`

## Data Fields
void * | dataptr
uInt16 | len
tcp_seg * | next
pbuf * | p
tcp_hdr * | tcphdr

## Detailed Description

Definition at line 280 of file tcp.h.

## Field Documentation

void* tcp_seg::dataptr

Definition at line 283 of file tcp.h.

uInt16 tcp_seg::len

Definition at line 284 of file tcp.h.

struct tcp_seg* tcp_seg::next

Definition at line 281 of file tcp.h.

struct pbuf* tcp_seg::p

Definition at line 282 of file tcp.h.

struct tcp_hdr* tcp_seg::tcphdr

Definition at line 285 of file tcp.h.

The documentation for this struct was generated from the following file:

- src/sys/include/net/tcp.h